| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
DomainParticipant Class Reference

Class DomainParticipant: extends standard DDS DomainParticipant class to include specific methods for the Statistics module. More...

`#include <DomainParticipant.hpp>`

Inheritance diagram for DomainParticipant:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API fastdds::dds::ReturnCode_t | enable_statistics_datawriter (const std::string &topic_name, const eprosima::fastdds::dds::DataWriterQos &dwqos)
| This operation enables a Statistics DataWriter.
FASTDDS_EXPORTED_API fastdds::dds::ReturnCode_t | enable_statistics_datawriter_with_profile (const std::string &profile_name, const std::string &topic_name)
| This operation enables a Statistics DataWriter from a given profile.
FASTDDS_EXPORTED_API fastdds::dds::ReturnCode_t | disable_statistics_datawriter (const std::string &topic_name)
| This operation disables a Statistics DataWriter.
FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t | enable_monitor_service ()
| Enables the monitor service in the DomainParticipant.
FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t | disable_monitor_service ()
| Disables the monitor service in this DomainParticipant.
FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t | fill_discovery_data_from_cdr_message (fastdds::dds::ParticipantBuiltinTopicData &data, const statistics::MonitorServiceStatusData &msg)
| fills in the ParticipantBuiltinTopicData from a MonitorService Message
FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t | fill_discovery_data_from_cdr_message (fastdds::dds::PublicationBuiltinTopicData &data, const statistics::MonitorServiceStatusData &msg)
| fills in the PublicationBuiltinTopicData from a MonitorService Message
FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t | fill_discovery_data_from_cdr_message (fastdds::dds::SubscriptionBuiltinTopicData &data, const statistics::MonitorServiceStatusData &msg)
| fills in the SubscriptionBuiltinTopicData from a MonitorService Message
Public Member Functions inherited from DomainParticipant
virtual | ~DomainParticipant ()
| Destructor.
FASTDDS_EXPORTED_API ReturnCode_t | get_qos (DomainParticipantQos &qos) const
| This operation returns the value of the DomainParticipant QoS policies.
FASTDDS_EXPORTED_API const DomainParticipantQos & | get_qos () const
| This operation returns the value of the DomainParticipant QoS policies.
FASTDDS_EXPORTED_API ReturnCode_t | set_qos (const DomainParticipantQos &qos) const
| This operation sets the value of the DomainParticipant QoS policies.
FASTDDS_EXPORTED_API const DomainParticipantListener * | get_listener () const
| Allows accessing the DomainParticipantListener.
FASTDDS_EXPORTED_API ReturnCode_t | set_listener (DomainParticipantListener *listener)
| Modifies the DomainParticipantListener, sets the mask to StatusMask::all().
FASTDDS_EXPORTED_API ReturnCode_t | set_listener (DomainParticipantListener *listener, const std::chrono::seconds timeout)
| Modifies the DomainParticipantListener, sets the mask to StatusMask::all().
FASTDDS_EXPORTED_API ReturnCode_t | set_listener (DomainParticipantListener *listener, const StatusMask &mask)
| Modifies the DomainParticipantListener.
FASTDDS_EXPORTED_API ReturnCode_t | set_listener (DomainParticipantListener *listener, const StatusMask &mask, const std::chrono::seconds timeout)
| Modifies the DomainParticipantListener.
FASTDDS_EXPORTED_API ReturnCode_t | enable () override
| This operation enables the DomainParticipant.
FASTDDS_EXPORTED_API Publisher * | create_publisher (const PublisherQos &qos, PublisherListener *listener=nullptr, const StatusMask &mask=StatusMask::all())
| Create a Publisher in this Participant.
FASTDDS_EXPORTED_API Publisher * | create_publisher_with_profile (const std::string &profile_name, PublisherListener *listener=nullptr, const StatusMask &mask=StatusMask::all())
| Create a Publisher in this Participant.
FASTDDS_EXPORTED_API ReturnCode_t | delete_publisher (const Publisher *publisher)
| Deletes an existing Publisher.
FASTDDS_EXPORTED_API Subscriber * | create_subscriber (const SubscriberQos &qos, SubscriberListener *listener=nullptr, const StatusMask &mask=StatusMask::all())
| Create a Subscriber in this Participant.
FASTDDS_EXPORTED_API Subscriber * | create_subscriber_with_profile (const std::string &profile_name, SubscriberListener *listener=nullptr, const StatusMask &mask=StatusMask::all())
| Create a Subscriber in this Participant.
FASTDDS_EXPORTED_API ReturnCode_t | delete_subscriber (const Subscriber *subscriber)
| Deletes an existing Subscriber.
FASTDDS_EXPORTED_API Topic * | create_topic (const std::string &topic_name, const std::string &type_name, const TopicQos &qos, TopicListener *listener=nullptr, const StatusMask &mask=StatusMask::all())
| Create a Topic in this Participant.
FASTDDS_EXPORTED_API Topic * | create_topic_with_profile (const std::string &topic_name, const std::string &type_name, const std::string &profile_name, TopicListener *listener=nullptr, const StatusMask &mask=StatusMask::all())
| Create a Topic in this Participant.
FASTDDS_EXPORTED_API ReturnCode_t | delete_topic (const Topic *topic)
| Deletes an existing Topic.
FASTDDS_EXPORTED_API ContentFilteredTopic * | create_contentfilteredtopic (const std::string &name, Topic *related_topic, const std::string &filter_expression, const std::vector< std::string > &expression_parameters)
| Create a ContentFilteredTopic in this Participant.
FASTDDS_EXPORTED_API ContentFilteredTopic * | create_contentfilteredtopic (const std::string &name, Topic *related_topic, const std::string &filter_expression, const std::vector< std::string > &expression_parameters, const char *filter_class_name)
| Create a ContentFilteredTopic in this Participant using a custom filter.
FASTDDS_EXPORTED_API ReturnCode_t | delete_contentfilteredtopic (const ContentFilteredTopic *a_contentfilteredtopic)
| Deletes an existing ContentFilteredTopic.
FASTDDS_EXPORTED_API MultiTopic * | create_multitopic (const std::string &name, const std::string &type_name, const std::string &subscription_expression, const std::vector< std::string > &expression_parameters)
| Create a MultiTopic in this Participant.
FASTDDS_EXPORTED_API ReturnCode_t | delete_multitopic (const MultiTopic *a_multitopic)
| Deletes an existing MultiTopic.
FASTDDS_EXPORTED_API Topic * | find_topic (const std::string &topic_name, const fastdds::dds::Duration_t &timeout)
| Gives access to an existing (or ready to exist) enabled Topic.
FASTDDS_EXPORTED_API rpc::Service * | create_service (const std::string &service_name, const std::string &service_type_name)
| Create a RPC service.
FASTDDS_EXPORTED_API rpc::Service * | find_service (const std::string &service_name) const
| Find a RPC service by name.
FASTDDS_EXPORTED_API ReturnCode_t | delete_service (const rpc::Service *service)
| Delete a registered RPC service.
FASTDDS_EXPORTED_API rpc::Requester * | create_service_requester (rpc::Service *service, const RequesterQos &requester_qos)
| Create a RPC Requester in a given Service.
FASTDDS_EXPORTED_API ReturnCode_t | delete_service_requester (const std::string &service_name, rpc::Requester *requester)
| Deletes an existing RPC Requester.
FASTDDS_EXPORTED_API rpc::Replier * | create_service_replier (rpc::Service *service, const ReplierQos &replier_qos)
| Create a RPC Replier in a given Service.
FASTDDS_EXPORTED_API ReturnCode_t | delete_service_replier (const std::string &service_name, rpc::Replier *replier)
| Deletes an existing RPC Replier.
FASTDDS_EXPORTED_API TopicDescription * | lookup_topicdescription (const std::string &topic_name) const
| Looks up an existing, locally created TopicDescription, based on its name.
FASTDDS_EXPORTED_API const Subscriber * | get_builtin_subscriber () const
| Allows access to the builtin Subscriber.
FASTDDS_EXPORTED_API ReturnCode_t | ignore_participant (const InstanceHandle_t &handle)
| Locally ignore a remote domain participant.
FASTDDS_EXPORTED_API ReturnCode_t | ignore_topic (const InstanceHandle_t &handle)
| Locally ignore a topic.
FASTDDS_EXPORTED_API ReturnCode_t | ignore_publication (const InstanceHandle_t &handle)
| Locally ignore a remote datawriter.
FASTDDS_EXPORTED_API ReturnCode_t | ignore_subscription (const InstanceHandle_t &handle)
| Locally ignore a remote datareader.
FASTDDS_EXPORTED_API DomainId_t | get_domain_id () const
| This operation retrieves the domain_id used to create the DomainParticipant.
FASTDDS_EXPORTED_API ReturnCode_t | delete_contained_entities ()
| Deletes all the entities that were created by means of the “create” methods.
FASTDDS_EXPORTED_API ReturnCode_t | assert_liveliness ()
| This operation manually asserts the liveliness of the DomainParticipant.
FASTDDS_EXPORTED_API ReturnCode_t | set_default_publisher_qos (const PublisherQos &qos)
| This operation sets a default value of the Publisher QoS policies which will be used for newly created Publisher entities in the case where the QoS policies are defaulted in the create_publisher operation.
FASTDDS_EXPORTED_API const PublisherQos & | get_default_publisher_qos () const
| This operation retrieves the default value of the Publisher QoS, that is, the QoS policies which will be used for newly created Publisher entities in the case where the QoS policies are defaulted in the create_publisher operation.
FASTDDS_EXPORTED_API ReturnCode_t | get_default_publisher_qos (PublisherQos &qos) const
| This operation retrieves the default value of the Publisher QoS, that is, the QoS policies which will be used for newly created Publisher entities in the case where the QoS policies are defaulted in the create_publisher operation.
FASTDDS_EXPORTED_API ReturnCode_t | get_publisher_qos_from_profile (const std::string &profile_name, PublisherQos &qos) const
| Fills the PublisherQos with the values of the XML profile.
FASTDDS_EXPORTED_API ReturnCode_t | get_publisher_qos_from_xml (const std::string &xml, PublisherQos &qos) const
| Fills the PublisherQos with the first publisher profile found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_publisher_qos_from_xml (const std::string &xml, PublisherQos &qos, const std::string &profile_name) const
| Fills the PublisherQos with the publisher profile with `profile_name` to be found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_default_publisher_qos_from_xml (const std::string &xml, PublisherQos &qos) const
| Fills the PublisherQos with the default publisher profile found in the provided XML (if there is).
FASTDDS_EXPORTED_API ReturnCode_t | set_default_subscriber_qos (const SubscriberQos &qos)
| This operation sets a default value of the Subscriber QoS policies that will be used for newly created Subscriber entities in the case where the QoS policies are defaulted in the create_subscriber operation.
FASTDDS_EXPORTED_API const SubscriberQos & | get_default_subscriber_qos () const
| This operation retrieves the default value of the Subscriber QoS, that is, the QoS policies which will be used for newly created Subscriber entities in the case where the QoS policies are defaulted in the create_subscriber operation.
FASTDDS_EXPORTED_API ReturnCode_t | get_default_subscriber_qos (SubscriberQos &qos) const
| This operation retrieves the default value of the Subscriber QoS, that is, the QoS policies which will be used for newly created Subscriber entities in the case where the QoS policies are defaulted in the create_subscriber operation.
FASTDDS_EXPORTED_API ReturnCode_t | get_subscriber_qos_from_profile (const std::string &profile_name, SubscriberQos &qos) const
| Fills the SubscriberQos with the values of the XML profile.
FASTDDS_EXPORTED_API ReturnCode_t | get_subscriber_qos_from_xml (const std::string &xml, SubscriberQos &qos) const
| Fills the SubscriberQos with the first subscriber profile found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_subscriber_qos_from_xml (const std::string &xml, SubscriberQos &qos, const std::string &profile_name) const
| Fills the SubscriberQos with the subscriber profile with `profile_name` to be found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_default_subscriber_qos_from_xml (const std::string &xml, SubscriberQos &qos) const
| Fills the SubscriberQos with the default subscriber profile found in the provided XML (if there is).
FASTDDS_EXPORTED_API ReturnCode_t | set_default_topic_qos (const TopicQos &qos)
| This operation sets a default value of the Topic QoS policies which will be used for newly created Topic entities in the case where the QoS policies are defaulted in the create_topic operation.
FASTDDS_EXPORTED_API const TopicQos & | get_default_topic_qos () const
| This operation retrieves the default value of the Topic QoS, that is, the QoS policies that will be used for newly created Topic entities in the case where the QoS policies are defaulted in the create_topic operation.
FASTDDS_EXPORTED_API ReturnCode_t | get_default_topic_qos (TopicQos &qos) const
| This operation retrieves the default value of the Topic QoS, that is, the QoS policies that will be used for newly created Topic entities in the case where the QoS policies are defaulted in the create_topic operation.
FASTDDS_EXPORTED_API ReturnCode_t | get_topic_qos_from_profile (const std::string &profile_name, TopicQos &qos) const
| Fills the TopicQos with the values of the XML profile.
FASTDDS_EXPORTED_API ReturnCode_t | get_topic_qos_from_profile (const std::string &profile_name, TopicQos &qos, std::string &topic_name, std::string &topic_data_type) const
| Fills the TopicQos with the values of the XML profile, and also its corresponding topic and data type names (if specified).
FASTDDS_EXPORTED_API ReturnCode_t | get_topic_qos_from_xml (const std::string &xml, TopicQos &qos) const
| Fills the TopicQos with the first topic profile found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_topic_qos_from_xml (const std::string &xml, TopicQos &qos, std::string &topic_name, std::string &topic_data_type) const
| Fills the TopicQos with the first topic profile found in the provided XML, and also its corresponding topic and data type names (if specified).
FASTDDS_EXPORTED_API ReturnCode_t | get_topic_qos_from_xml (const std::string &xml, TopicQos &qos, const std::string &profile_name) const
| Fills the TopicQos with the topic profile with `profile_name` to be found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_topic_qos_from_xml (const std::string &xml, TopicQos &qos, std::string &topic_name, std::string &topic_data_type, const std::string &profile_name) const
| Fills the TopicQos with the topic profile with `profile_name` to be found in the provided XML, and also its corresponding topic and data type names (if specified).
FASTDDS_EXPORTED_API ReturnCode_t | get_default_topic_qos_from_xml (const std::string &xml, TopicQos &qos) const
| Fills the TopicQos with the default topic profile found in the provided XML (if there is).
FASTDDS_EXPORTED_API ReturnCode_t | get_default_topic_qos_from_xml (const std::string &xml, TopicQos &qos, std::string &topic_name, std::string &topic_data_type) const
| Fills the TopicQos with the default topic profile found in the provided XML (if there is), and also its corresponding topic and data type names (if specified).
FASTDDS_EXPORTED_API ReturnCode_t | get_replier_qos_from_profile (const std::string &profile_name, ReplierQos &qos) const
| Fills the ReplierQos with the values of the XML profile.
FASTDDS_EXPORTED_API ReturnCode_t | get_replier_qos_from_xml (const std::string &xml, ReplierQos &qos) const
| Fills the ReplierQos with the first replier profile found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_replier_qos_from_xml (const std::string &xml, ReplierQos &qos, const std::string &profile_name) const
| Fills the ReplierQos with the replier profile with `profile_name` to be found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_default_replier_qos_from_xml (const std::string &xml, ReplierQos &qos) const
| Fills the ReplierQos with the default replier profile found in the provided XML (if there is).
FASTDDS_EXPORTED_API ReturnCode_t | get_requester_qos_from_profile (const std::string &profile_name, RequesterQos &qos) const
| Fills the RequesterQos with the values of the XML profile.
FASTDDS_EXPORTED_API ReturnCode_t | get_requester_qos_from_xml (const std::string &xml, RequesterQos &qos) const
| Fills the RequesterQos with the first requester profile found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_requester_qos_from_xml (const std::string &xml, RequesterQos &qos, const std::string &profile_name) const
| Fills the RequesterQos with the requester profile with `profile_name` to be found in the provided XML.
FASTDDS_EXPORTED_API ReturnCode_t | get_default_requester_qos_from_xml (const std::string &xml, RequesterQos &qos) const
| Fills the RequesterQos with the default requester profile found in the provided XML (if there is).
FASTDDS_EXPORTED_API ReturnCode_t | get_discovered_participants (std::vector< InstanceHandle_t > &participant_handles) const
| Retrieves the list of DomainParticipants that have been discovered in the domain and are not "ignored".
FASTDDS_EXPORTED_API ReturnCode_t | get_discovered_participant_data (ParticipantBuiltinTopicData &participant_data, const InstanceHandle_t &participant_handle) const
| Retrieves the DomainParticipant data of a discovered not ignored participant.
FASTDDS_EXPORTED_API ReturnCode_t | get_discovered_topics (std::vector< InstanceHandle_t > &topic_handles) const
| Retrieves the list of topics that have been discovered in the domain and are not "ignored".
FASTDDS_EXPORTED_API ReturnCode_t | get_discovered_topic_data (builtin::TopicBuiltinTopicData &topic_data, const InstanceHandle_t &topic_handle) const
| Retrieves the Topic data of a discovered not ignored topic.
FASTDDS_EXPORTED_API bool | contains_entity (const InstanceHandle_t &a_handle, bool recursive=true) const
| This operation checks whether or not the given handle represents an Entity that was created from the DomainParticipant.
FASTDDS_EXPORTED_API ReturnCode_t | get_current_time (fastdds::dds::Time_t &current_time) const
| This operation returns the current value of the time that the service uses to time-stamp data-writes and to set the reception-timestamp for the data-updates it receives.
FASTDDS_EXPORTED_API ReturnCode_t | register_type (TypeSupport type, const std::string &type_name)
| Register a type in this participant.
FASTDDS_EXPORTED_API ReturnCode_t | register_type (TypeSupport type)
| Register a type in this participant.
FASTDDS_EXPORTED_API ReturnCode_t | unregister_type (const std::string &typeName)
| Unregister a type in this participant.
FASTDDS_EXPORTED_API TypeSupport | find_type (const std::string &type_name) const
| This method gives access to a registered type based on its name.
FASTDDS_EXPORTED_API ReturnCode_t | register_service_type (rpc::ServiceTypeSupport service_type, const std::string &service_type_name)
| Register a service type in this participant.
FASTDDS_EXPORTED_API ReturnCode_t | unregister_service_type (const std::string &service_type_name)
| Unregister a service type in this participant.
FASTDDS_EXPORTED_API rpc::ServiceTypeSupport | find_service_type (const std::string &service_type_name) const
| This method gives access to a registered service type based on its name.
FASTDDS_EXPORTED_API const InstanceHandle_t & | get_instance_handle () const
| Returns the DomainParticipant's handle.
FASTDDS_EXPORTED_API const fastdds::rtps::GUID_t & | guid () const
| Getter for the Participant GUID.
FASTDDS_EXPORTED_API std::vector< std::string > | get_participant_names () const
| Getter for the participant names.
FASTDDS_EXPORTED_API bool | new_remote_endpoint_discovered (const fastdds::rtps::GUID_t &partguid, uint16_t userId, fastdds::rtps::EndpointKind_t kind)
| This method can be used when using a StaticEndpointDiscovery mechanism different that the one included in Fast DDS, for example when communicating with other implementations.
FASTDDS_EXPORTED_API ReturnCode_t | register_content_filter_factory (const char *filter_class_name, IContentFilterFactory *const filter_factory)
| Register a custom content filter factory, which can be used to create a ContentFilteredTopic.
FASTDDS_EXPORTED_API IContentFilterFactory * | lookup_content_filter_factory (const char *filter_class_name)
| Lookup a custom content filter factory previously registered with register_content_filter_factory.
FASTDDS_EXPORTED_API ReturnCode_t | unregister_content_filter_factory (const char *filter_class_name)
| Unregister a custom content filter factory previously registered with register_content_filter_factory.
FASTDDS_EXPORTED_API bool | has_active_entities ()
| Check if the Participant has any Publisher, Subscriber or Topic.
Public Member Functions inherited from Entity
FASTDDS_EXPORTED_API | Entity (const StatusMask &mask=StatusMask::all())
| Constructor.
void | close ()
| This operation disables the Entity before closing it.
FASTDDS_EXPORTED_API const StatusMask & | get_status_mask () const
| Retrieves the set of relevant statuses for the Entity.
FASTDDS_EXPORTED_API const StatusMask & | get_status_changes () const
| Retrieves the set of triggered statuses in the Entity.
const InstanceHandle_t & | get_instance_handle () const
| Retrieves the instance handler that represents the Entity.
FASTDDS_EXPORTED_API bool | is_enabled () const
| Checks if the Entity is enabled.
FASTDDS_EXPORTED_API bool | operator== (const Entity &other) const
FASTDDS_EXPORTED_API StatusCondition & | get_statuscondition ()
| Allows access to the StatusCondition associated with the Entity.
FASTDDS_EXPORTED_API const StatusCondition & | get_statuscondition () const
| Allows access to the StatusCondition associated with the Entity.

## Static Public Member Functions

static FASTDDS_EXPORTED_API DomainParticipant * | narrow (eprosima::fastdds::dds::DomainParticipant *domain_participant)
| This operation narrows the DDS DomainParticipant to the Statistics DomainParticipant.
static FASTDDS_EXPORTED_API const DomainParticipant * | narrow (const eprosima::fastdds::dds::DomainParticipant *domain_participant)
| This operation narrows the DDS DomainParticipant to the Statistics DomainParticipant.

## Additional Inherited Members

Protected Member Functions inherited from DomainParticipant
| DomainParticipant (const StatusMask &mask=StatusMask::all())
Protected Member Functions inherited from Entity
FASTDDS_EXPORTED_API void | set_instance_handle (const InstanceHandle_t &handle)
| Setter for the Instance Handle.
Protected Attributes inherited from DomainParticipant
DomainParticipantImpl * | impl_
Protected Attributes inherited from Entity
StatusMask | status_mask_
| StatusMask with relevant statuses set to 1.
StatusCondition | status_condition_
| Condition associated to the Entity.
InstanceHandle_t | instance_handle_
| InstanceHandle associated to the Entity.
bool | enable_
| Boolean that states if the Entity is enabled or disabled.

## Detailed Description

Class DomainParticipant: extends standard DDS DomainParticipant class to include specific methods for the Statistics module.

## Member Function Documentation

## ◆ disable_monitor_service()

FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t disable_monitor_service | ( |  | ) |

Disables the monitor service in this DomainParticipant.

Does nothing if the service was not enabled before.

Returns
  RETCODE_OK if the monitor service could be correctly disabled.
  RETCODE_NOT_ENABLED if the monitor service was not previously enabled.
  RETCODE_ERROR if the service could not be properly disabled.
  RETCODE_UNSUPPORTED if FASTDDS_STATISTICS is not enabled.

Note
  Not supported yet. Currently returns RETCODE_UNSUPPORTED

## ◆ disable_statistics_datawriter()

FASTDDS_EXPORTED_API fastdds::dds::ReturnCode_t disable_statistics_datawriter | ( | const std::string & | topic_name | ) |

This operation disables a Statistics DataWriter.

Parameters

  topic_name | Name of the topic associated to the Statistics DataWriter

Returns
  RETCODE_UNSUPPORTED if the FASTDDS_STATISTICS CMake option has not been set, RETCODE_BAD_PARAMETER if the topic name provided does not correspond to any Statistics DataWriter, RETCODE_OK if the DataWriter has been correctly deleted or does not exist, and RETCODE_ERROR otherwise

## ◆ enable_monitor_service()

FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t enable_monitor_service | ( |  | ) |

Enables the monitor service in the DomainParticipant.

Returns
  RETCODE_OK if the monitor service could be correctly enabled.
  RETCODE_ERROR if the monitor service could not be enabled properly.
  RETCODE_UNSUPPORTED if FASTDDS_STATISTICS is not enabled.

Note
  Not supported yet. Currently returns RETCODE_UNSUPPORTED

## ◆ enable_statistics_datawriter()

FASTDDS_EXPORTED_API fastdds::dds::ReturnCode_t enable_statistics_datawriter | ( | const std::string & | topic_name,
|  | const eprosima::fastdds::dds::DataWriterQos & | dwqos )

This operation enables a Statistics DataWriter.

Parameters

  [in] | topic_name | Name of the topic associated to the Statistics DataWriter
  [in] | dwqos | DataWriterQos to be set

Returns
  RETCODE_UNSUPPORTED if the FASTDDS_STATISTICS CMake option has not been set, RETCODE_BAD_PARAMETER if the topic name provided does not correspond to any Statistics DataWriter, RETCODE_INCONSISTENT_POLICY if the DataWriterQos provided are inconsistent, RETCODE_OK if the DataWriter has been created or if it has been created previously, and RETCODE_ERROR otherwise

## ◆ enable_statistics_datawriter_with_profile()

FASTDDS_EXPORTED_API fastdds::dds::ReturnCode_t enable_statistics_datawriter_with_profile | ( | const std::string & | profile_name,
|  | const std::string & | topic_name )

This operation enables a Statistics DataWriter from a given profile.

Parameters

  [in] | profile_name | DataWriter QoS profile name
  [in] | topic_name | Name of the statistics topic to be enabled.

Returns
  RETCODE_UNSUPPORTED if the FASTDDS_STATISTICS CMake option has not been set, RETCODE_BAD_PARAMETER if the topic name provided does not correspond to any Statistics DataWriter, RETCODE_INCONSISTENT_POLICY if the DataWriterQos provided in profile are inconsistent, RETCODE_OK if the DataWriter has been created or if it has been created previously, and RETCODE_ERROR otherwise

## ◆ fill_discovery_data_from_cdr_message() [1/3]

FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t fill_discovery_data_from_cdr_message | ( | fastdds::dds::ParticipantBuiltinTopicData & | data,
|  | const statistics::MonitorServiceStatusData & | msg )

fills in the ParticipantBuiltinTopicData from a MonitorService Message

Parameters

  [out] | data | Proxy to fill
  [in] | msg | MonitorService Message to get the proxy information from.

Returns
  RETCODE_OK if the operation succeeds.
  RETCODE_ERROR if the operation fails.

## ◆ fill_discovery_data_from_cdr_message() [2/3]

FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t fill_discovery_data_from_cdr_message | ( | fastdds::dds::PublicationBuiltinTopicData & | data,
|  | const statistics::MonitorServiceStatusData & | msg )

fills in the PublicationBuiltinTopicData from a MonitorService Message

Parameters

  [out] | data | Proxy to fill.
  [in] | msg | MonitorService Message to get the proxy information from.

Returns
  RETCODE_OK if the operation succeeds.
  RETCODE_ERROR if the operation fails.

## ◆ fill_discovery_data_from_cdr_message() [3/3]

FASTDDS_EXPORTED_API eprosima::fastdds::dds::ReturnCode_t fill_discovery_data_from_cdr_message | ( | fastdds::dds::SubscriptionBuiltinTopicData & | data,
|  | const statistics::MonitorServiceStatusData & | msg )

fills in the SubscriptionBuiltinTopicData from a MonitorService Message

Parameters

  [out] | data | Proxy to fill.
  [in] | msg | MonitorService Message to get the proxy information from.

Returns
  RETCODE_OK if the operation succeeds.
  RETCODE_ERROR if the operation fails.

## ◆ narrow() [1/2]

FASTDDS_EXPORTED_API const DomainParticipant * narrow | ( | const eprosima::fastdds::dds::DomainParticipant * | domain_participant | ) |

static

This operation narrows the DDS DomainParticipant to the Statistics DomainParticipant.

Parameters

  domain_participant | Constant reference to the DDS DomainParticipant

Returns
  Constant reference to the Statistics DomainParticipant if successful. nullptr otherwise.

## ◆ narrow() [2/2]

FASTDDS_EXPORTED_API DomainParticipant * narrow | ( | eprosima::fastdds::dds::DomainParticipant * | domain_participant | ) |

static

This operation narrows the DDS DomainParticipant to the Statistics DomainParticipant.

Parameters

  domain_participant | Reference to the DDS DomainParticipant

Returns
  Reference to the Statistics DomainParticipant if successful. nullptr otherwise.

The documentation for this class was generated from the following file:

- include/fastdds/statistics/dds/domain/DomainParticipant.hpp